## org.apache.lucene.analysis.hi
Class HindiAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.util.StopwordAnalyzerBase
              org.apache.lucene.analysis.hi.HindiAnalyzer

All Implemented Interfaces:
  Closeable

    public final class HindiAnalyzer

extends StopwordAnalyzerBase

Analyzer for Hindi.

You must specify the required `Version` compatibility when creating HindiAnalyzer:

- As of 3.6, StandardTokenizer is used for tokenization

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

Field Summary
`static String` `DEFAULT_STOPWORD_FILE` File containing default Hindi stopwords.

Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`HindiAnalyzer(Version version)` Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
`HindiAnalyzer(Version version, CharArraySet stopwords)` Builds an analyzer with the given stop words
`HindiAnalyzer(Version version, CharArraySet stopwords, CharArraySet stemExclusionSet)` Builds an analyzer with the given stop words

Method Summary
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)` Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static CharArraySet` `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Hindi stopwords. Default stopword list is from http://members.unine.ch/jacques.savoy/clef/index.html The stopword list is BSD-Licensed.

  See Also:
    Constant Field Values

Constructor Detail

### HindiAnalyzer

    public HindiAnalyzer(Version version,
                         CharArraySet stopwords,
                         CharArraySet stemExclusionSet)

  Builds an analyzer with the given stop words

  Parameters:
    `version` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclusionSet` - a stemming exclusion set

### HindiAnalyzer

    public HindiAnalyzer(Version version,
                         CharArraySet stopwords)

  Builds an analyzer with the given stop words

  Parameters:
    `version` - lucene compatibility version
    `stopwords` - a stopword set

### HindiAnalyzer

    public HindiAnalyzer(Version version)

  Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

Method Detail

### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()

  Returns an unmodifiable instance of the default stop-words set.

  Returns:
    an unmodifiable instance of the default stop-words set.

### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                              Reader reader)

  Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `Analyzer`
  Returns:
    `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `IndicNormalizationFilter`, `HindiNormalizationFilter`, `SetKeywordMarkerFilter` if a stem exclusion set is provided, `HindiStemFilter`, and Hindi Stop words

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.